
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一种基于Storm的可扩展即时数据处理架构思考 / 憋错料</title>

    <meta name="description" content="一种基于Storm的可扩展即时数据处理架构思考 问题引入 使用storm可以方便的构建一种集群式的数据框架,并通过定义topo来实现业务逻辑. 但使用topo存在一个缺点, topo的处理能力来自于其启动时设置的worker数目,在很多情况下,我们需要能够根据业务压力来调整集群的处理能力,这时候单一的topo就无法解决这个问题了. 为了能够更加灵活的定义处理能力,可以考虑将原有的topo根据业务域进行拆分,做到互不干扰,灵活控制,而且为了能够更加经济的利用处理资源,可以考虑引入worker资源池的概念,达到对资源的充分利用. 但使用这种多to">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">一种基于Storm的可扩展即时数据处理架构思考</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>问题引入</h1>
<p>使用storm可以方便的构建一种集群式的数据框架，并通过定义topo来实现业务逻辑。</p>
<p>但使用topo存在一个缺点， topo的处理能力来自于其启动时设置的worker数目，在很多情况下，我们需要能够根据业务压力来调整集群的处理能力，这时候单一的topo就无法解决这个问题了。</p>
<p>为了能够更加灵活的定义处理能力，可以考虑将原有的topo根据业务域进行拆分，做到互不干扰，灵活控制，而且为了能够更加经济的利用处理资源，可以考虑引入worker资源池的概念，达到对资源的充分利用。</p>
<p>但使用这种多topo架构存在一个致命问题，storm中的topo是各自独立，无法直接通信的，因此在获取某些关键资源时，可能会出现资源争抢的情况的。面对此种场景，有两种处理思路：</p>
<p>其一：使用zookeeper等提供的分布式锁，来实现对关键资源的控制，缺点是可靠性及效率存在问题，使用与对处理效率要求不高的场景。</p>
<p>其二：由第三方对关键资源进行分配，规避由topo本身对资源的争抢，这种方案引入了新的构建，提高了系统的复杂度。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MzE4OTQvMjAxNTA3LzI0MTEyNTQyMjI0Nzk2My5wbmc=.jpg" /></p>
<h1>处理架构</h1>
<p>集群的优点是处理能力可扩展，但会带来数据同步、开发维护复杂度以及数据一致性等问题。</p>
<p>我们现在虽然已经有了很多集群处理框架及相应组件用来简化相应的开发及维护工作量，但从项目开发的实际来看，我们还是需要处理一些没有被成熟组件包含但又非常棘手的问题。</p>
<p>storm定义的集群可以提供方便的可扩展处理能力，在整个集群中，topo都是等价的，在storm运行环境内部，topo之间也无法交流。</p>
<p>回到上面的问题，通过storm，我们获得了即时的集群处理能力；通过topo，我们可以自定义业务，并方便的在节点中分发；通过worker数目的变化，可以调整其处理能力。</p>
<p>如果辅以Hadoop等大数据存储平台及Redis缓存，加以使用zookeeper构成的分布式锁，已经基本可以构建一套即时的可扩展的大数据处理平台。</p>
<h2>组件图</h2>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MzE4OTQvMjAxNTA3LzI0MTEyNTUxNzI0ODMyNy5wbmc=.jpg" /></p>
<h2>多top的初始化</h2>
<p>下面是一个基于storm的多拓扑初始化的类视图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS81MzE4OTQvMjAxNTA3LzI0MTEyNjI0NDI4NzIwMy5wbmc=.jpg" /></p>
<h1>关键点与思考</h1>
<h2>缓存策略</h2>
<p>因为是即时的数据处理平台，其存在对效率的要求，而数据库存储的访问通常称为瓶颈，因此在此设计了缓存，选型Redis是引起使用已经较为广泛和稳定，业界也存在较为成熟的缓存构建策略。</p>
<h2>分布式锁</h2>
<p>分布式锁至关重要，尤其是如果storm集群中存在多个topo的情况下，非常可能存在对关键资源的争夺。</p>
<p>使用zookeeper构建分布式锁已经存在较为成为的应用，但使用zookeeper构建的分布式锁必定也存在健壮性不足和锁的效率问题，需要在设计时加以考虑。</p>
<h2>Hadoop和Oracle的协作</h2>
<p>从使用成本和使用场景上，这两个组件就存在很大不同。</p>
<p>在应用时，Hadoop可以用以存储非结构化的数据，例如原始结果。由于Oracle在存储结构化数、可靠性以及易用性上的巨大优势，可以选择将最终处理结果存放于Oracle之中，利于维护和展示。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-22 21:00:45 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>一种基于Storm的可扩展即时数据处理架构思考的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzwLy0.html" rel="bookmark">一种基于Qt的可伸缩的全异步C&sol;S架构服务器实现（流浪小狗，六篇，附下载地址）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文向大家介绍一种基于Qt的伸缩TCP服务实现.该实现针对C/S客户端-服务集群应用需求而搭建.连接监听.数据传输.数据处理均在独立的线程池中进行,根据特定任务不同,可安排负责监听.传输.处理的线程数目,从而在高传输负荷.高计算符合上达成取舍.数据处理采用流水线结构,以避免少量客户的密集计算请求影响其他客户端的处理.本文对应的代码符合LGPL协议,可直接从https://github.com/goldenhawking/zpserver下载. 也可从http://download.csdn.ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M68J8v3.html" rel="bookmark">基于SNMP的MIB扩展方法研究</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章较长,此文章背景:毕业设计,直接去搜索我的毕业设计选题,当时还傻傻的用百度,在百度文库和CSDN等下载了很多论文.搜索到的论文有以下几种: 1)完全胡扯,听说MIB“树状”模型,直接就有写ta用二叉树实现了,恩,我上次用了Java和氧化还原反应成功拿到抓到外星人,你信不信? 2)介绍了很多知识背景,然后一下子ta们就实现了,他们做了什么工作很少涉及. 3)有位盆友一直写自己在做这件事情,ta也说网上有很多方法,但是没有有价值的方法,ta决定实现一个,但是,ta再也没有更新ta的博客.o(╯□			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/My5WkeM.html" rel="bookmark">一种基于Qt的可伸缩的全异步C&sol;S架构服务器实现&lpar;一&rpar; 综述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文向大家介绍一种基于Qt的伸缩TCP服务实现.该实现针对C/S客户端-服务集群应用需求而搭建.连接监听.数据传输.数据处理均在独立的线程池中进行,根据特定任务不同,可安排负责监听.传输.处理的线程数目,从而在高传输负荷.高计算符合上达成取舍.数据处理采用流水线结构,以避免少量客户的密集计算请求影响其他客户端的处理.本文对应的代码符合LGPL协议,可直接从https://github.com/goldenhawking/zpserver下载. 也可从http://download.csdn.ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEjz1K0.html" rel="bookmark">一种基于Qt的可伸缩的全异步C&sol;S架构server实现&lpar;一&rpar; 综述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文向大家介绍一种基于Qt的伸缩TCP服务实现.该实现针对C/Sclient-服务集群应用需求而搭建. 连接监听.传输数据.数据处理均在独立的线程池中进行,依据特定任务不同,可安排负责监听.传输.处理的线程数目,从而在高传输负荷.高计算符合上达成取舍.数据处理採用流水线结构.以避免少量客户的密集计算请求影响其它client的处理. 本文相应的代码符合LGPL协议,可直接从https://github.com/goldenhawking/zpserver下载. 也可从http://download			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME1JRZM.html" rel="bookmark">一种基于uCos-II操作系统和lwIP协议栈的IEEE-1588主站以及基于该主站的报文处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本发明公开了一种基于uCos‐II操作系统和lwIP协议栈的IEEE‐1588主站以及应用于电力系统的支持IEEE‐1588协议的主时钟(IEEE‐1588主站)的实现方法.该方法是在一个低成本的硬件平台上,借助uCos‐II操作系统和TCP/IP的协议栈,对以太网数据进行了分类处理,实现了在同一个以太网端口提供基于二层和三层报文交换的IEEE‐1588的主站功能.另外,通过使用不同的操作系统进程来处理E2E和P2P对时,实现了两种对时模式在同一端口上的共存. 技术领域 [0001] 本发明属于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qDpX90.html" rel="bookmark">Base64就是一种 基于64个可打印字符来表示二进制数据的表示方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Base64编码是从二进制到字符的过程. Base64编码主要用在传输.存储.表示二进制等领域,还可以用来加密,但是这种加密比较简单. byte[] byteArray = Encoding.UTF8.GetBytes(content);content = Convert.ToBase64String(byteArray); 开发者对 Base64编码肯定很熟悉,是否对它有很清晰的认识就不一定了.实际 上Base64已经简单到不能再简单了,如果对它的理解还是模棱两可实在不应该.大概介绍一下Bas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP2kZ13.html" rel="bookmark">WinForm实现基于BindingSource的方法扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例展示了WinForm实现基于BindingSource的方法扩展,共享给大家供大家参考.具体方法如下: 关键代码如下: using System; using System.Collections.Generic; using System.Reflection; using System.Windows.Forms; namespace WinFormUtilHelpV2 { /// &lt;summary&gt; /// 基于.NET 2.0的BindingSource工具类 /// &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmK9wV3.html" rel="bookmark">基于Storm构建实时热力分布项目实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详情请交流  QQ  709639943 01.基于Storm构建实时热力分布项目实战 02.以慕课网日志分析为例 进入大数据 Spark SQL 的世界 03.Spring Cloud微服务实战视频课程 04.漫谈spring cloud 与 spring boot 基础架构 05.Java秒杀系统方案优化 高性能高并发实战 06.Java深入微服务原理改造房产销售平台 07.快速上手Linux 玩转典型应用 08.漫谈spring cloud分布式服务架构 09.Java Spring Se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgLaLO0.html" rel="bookmark">一种基于ES5的JavaScript继承</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于JavaScript继承,方式很多,包括compile-to-javascript的语言TypeScript, CoffeeScript以及网站MDN, GitHub, Modernizr各种polyfill都给出了稳妥的实现方案. 从ES5的角度看,这其中一些方案在功能上OK,但在语义上却不尽如人意. 本人从这些方案中采取一些比较潮的思路,整理出一份方案,可实现与原生DOM类继承的风格一致,达到功能和语义兼得的效果(当然,就别再老想着99后ES3了). 如果你的WebApp是基于ES5运行			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pKwxM.html" rel="bookmark" class="title">JavaScript模板引擎实现数据交互</a>
					<div>
						经过1年的磨练,近期终于稍微明白到,前端是怎么做到企业要求的:数据交互. 1,ajax+json这个是必须学的,但没问题,我们可以通过这个博客来慢慢了解怎么回事? 2,可以通过JS框架和JS模板来实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r26KX3.html" rel="bookmark" class="title">&amp;quot&semi;不能在 DropDownList 中选择多个项。&amp;quot&semi;其解决办法及补充</a>
					<div>
						探讨C#.NET下DropDownList的一个有趣的bug及其解决办法 摘要: 本文就C#.Net 环境下Web开发中经常使用的DropDownList控件的SelectedIndex属性进行了详细 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVY2624.html" rel="bookmark" class="title">IOS响应式编程框架ReactiveCocoa&lpar;RAC&rpar;使用示例</a>
					<div>
						ReactiveCocoa是响应式编程(FRP)在IOS中的一个实现框架,它的开源地址为:https://github.com/ReactiveCocoa/ReactiveCocoa# :在网上看了几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZAyog0.html" rel="bookmark" class="title">51nod&lowbar;1122&colon;机器人走方格 V4 （矩阵快速幂）</a>
					<div>
						题目链接 昨天上随机信号分析讲马氏链的时候突然想到这题的解法,今天写一下 定义矩阵A,Ans=A^n,令A[i][j]表示,经过1次变换后,第i个位置上的机器人位于第j个位置的情况数,则Ans[i][ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5yPw0.html" rel="bookmark" class="title">HDU 1159 Common Subsequence --- DP入门之最长公共子序列</a>
					<div>
						题目链接 基础的最长公共子序列 #include &lt;bits/stdc++.h&gt; using namespace std; const int maxn=1e3+5; char c[max ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e57ob0.html" rel="bookmark" class="title">Features of Spring Web MVC</a>
					<div>
						21.1.1 Features of Spring Web MVC Spring Web Flow Spring Web Flow (SWF) aims to be the best solution ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWGXBM.html" rel="bookmark" class="title">C&plus;&plus;中引用的常见用法</a>
					<div>
						在C++中引用类型是一个强大的存在,它一定程度上规避了指针带来的风险,并且使得函数参数之间的传值和通信变得异常灵活. 1.引用的概念 在C++中,可以定义引用如下: 1 int n; 2 int &a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65QzZ4.html" rel="bookmark" class="title">Linux运维 第二阶段 （十四） 备份与恢复</a>
					<div>
						一.1.linux系统重要数据:/root/,/home/,/etc/,/var/spool/mail/,/boot/,/var/lib/mysql apache备份数据:/etc/httpd/con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rznLb3.html" rel="bookmark" class="title">HDU 5907 Find Q（字符串）</a>
					<div>
						传送门 Description Byteasar is addicted to the English letter 'q'. Now he comes across a string S consi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7K9j3.html" rel="bookmark" class="title">AVL树的插入操作（旋转）图解</a>
					<div>
						=================================================================== AVL树的概念 在说AVL树的概念之前,我们需要清楚二茬搜索树的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7aGv3.html" rel="bookmark" class="title">String类型的对象，是保存在堆里还是在栈里呢？</a>
					<div>
						在Java的实现中,new出来的String对象一般是放在堆中的. 如果是 String s =&quot;xxx&quot;; 这种,那就是放在常量池中. JDK6将常量池放在方法区中. 方法区此时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjo9R0.html" rel="bookmark" class="title">Win7家庭普通版、家庭高级版、专业版、旗舰版版本差别</a>
					<div>
						刚才我们发了一个大图片:&lt;Windows7.Vista.XP 三大系统功能差异比较一览图&gt;,现在,再发一张对比图片,简要的看看Windows7家庭普通版.家庭高级版.专业版.旗舰版这四个版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobDgn4.html" rel="bookmark" class="title">杂谈Bootstrap页面框架时间选择器datetimepicker</a>
					<div>
						Prologue . Bug And Analysis 开心就好~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^_^ 写这篇文章助助兴,调剂下最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZyjb3.html" rel="bookmark" class="title">Crontab 里解决脚本冲突的问题</a>
					<div>
						Linux里的Crontab是一个好东西,但是它的默认最小执行频率是1分钟,但是我们在实际生产环境里有的时候遇到的脚本执行时间是大于1分钟的,这样就会出现一个很尴尬的情况,就是在1分钟过后,系统进程会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEqKrKM.html" rel="bookmark" class="title">Concurrency of ConcurrentHashMap</a>
					<div>
						转自 :http://cache.baiducontent.com/  良辰美景奈何天 并发编程实践中,ConcurrentHashMap是一个经常被使用的数据结构,相比于Hashtable以及Col ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xDk5L0.html" rel="bookmark" class="title">Android数据篇</a>
					<div>
						Android提供了多种方式(XML文件方式.文件方式.数据库方式等)进行数据的存储.开发者可以根据数据类型和设计的需要,选择适当的存储方式进行数据存储. 1.XML文件管理 XML文件更多的是用来维 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyzOBp0.html" rel="bookmark" class="title">the following sdk component was not installed&colon;buil</a>
					<div>
						报错:the following sdk component was not installed:build-boots21.1.1将C:\Users\wxc\.AndroidStudio\confi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ALNDg3.html" rel="bookmark" class="title">Ninja  Build</a>
					<div>
						NinjaBuild Using the Ninja build system build Updated Mar 28, 2014 by [email protected] Using it Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bk8A93.html" rel="bookmark" class="title">AngularJS 、Backbone&period;js 和 Ember&period;js 的比较</a>
					<div>
						1 介绍 我们准备在这篇文章中比较三款流行于Web的“模型-视图-*”框架:AngularJS.Backbone和Ember.为你的项目选择正确的框架能够对你及时交付项目的能力和在以后维护你自己代码的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg9QJ83.html" rel="bookmark" class="title">Sphinx-PHP使用Sphinx搜索技术</a>
					<div>
						Sphinx继承到PHP程序中, 有两种方式: Sphinx PHP模块: 编译生成PHP扩展模块 Sphinx API类: 直接使用Sphinx提供的类即可 首先我们应该使用Sphinx做以下几件事 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
